@if (componentData) {
  <div class="user-authentication-grid">
    <div class="label-color m-t-5">
      <span
        [innerHTML]="translateKeys.userAuthenticationLabel | translate"
        class="m-r-10"
      >
      </span>
    </div>
    <sqtm-core-multiple-radio-button
      class="m-t-5"
      (itemSelectionChanged)="handleAuthPolicyChange($event)"
      [listItems]="radioItems"
    >
    </sqtm-core-multiple-radio-button>
  </div>
  <label class="label-color flex-row m-t-10">
    <span class="m-r-10"
      >{{ translateKeys.credentialsLabel | translate }}
      {{ componentData.bugTracker.name }}</span
    >
    <i
      nz-icon
      nzType="sqtm-core-generic:help"
      nzTheme="outline"
      nz-tooltip
      [nzTooltipTitle]="
        getCredentialsTooltip(componentData.bugTracker.kind) | translate
      "
      class="current-workspace-button tooltip-icon table-icon-size"
    >
    </i>
  </label>
  <div class="block-border p-l-10">
    <sqtm-core-third-party-credentials-form
      [authenticationProtocol]="componentData.bugTracker.authProtocol"
      [credentials]="componentData.bugTracker.credentials"
      [useRevokeButton]="true"
      [useRemoveButton]="true"
      [loginFieldKey]="loginFieldKey$ | async"
      [passwordFieldKey]="passwordFieldKey$ | async"
      (submit)="sendCredentialsForm($event)"
      (submitOauth2)="requestAndSaveOauth2Token(componentData.bugTracker.id)"
      (revokeTokens)="deleteCredentials(componentData.bugTracker)"
    >
    </sqtm-core-third-party-credentials-form>

    <sqtm-core-third-party-credentials-form-status
      class="full-row flex-row p-t-15"
      [statusIcon]="statusIcon"
      [statusMessage]="credentialsStatusMessage"
    >
    </sqtm-core-third-party-credentials-form-status>
  </div>
}
